This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 629715 - kernel ABI whitelist request for kspice-usb driver [Red Hat]
kernel ABI whitelist request for kspice-usb driver [Red Hat]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Jon Masters
Chao Yang
:
Depends On:
Blocks: RHEL6.1KABI
  Show dependency treegraph
 
Reported: 2010-09-02 15:13 EDT by Jon Masters
Modified: 2016-02-10 09:12 EST (History)
3 users (show)

See Also:
Fixed In Version: kernel-2.6.32-117.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 16:50:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kspice x86_64 kernel ABI symbols (1.10 KB, text/plain)
2010-09-02 15:15 EDT, Jon Masters
no flags Details
kspice i686 kernel ABI symbols (1.09 KB, text/plain)
2010-09-02 15:15 EDT, Jon Masters
no flags Details

  None (edit)
Description Jon Masters 2010-09-02 15:13:44 EDT
Description of problem:

We are shipping a kspice-usb driver on the RHEL6.0 Supplementary media. This driver is not currently in-tree, though it may be in due course. Of the 70 symbols required by that module in the current instance, the following symbols are not on the approved whitelists and would, ideally, be added to aid in our packaging and distribution of this module (both x86_64 and i686 have been checked and are the only targets required):

bus_register_notifier
bus_unregister_notifier
usb_free_urb
usb_get_urb
usb_register_driver
vmalloc_to_pfn

Note that usb_alloc_urb is already on the whitelist. The exact ABI use of these drivers for i686 and x86_64 is attached to this bug.

Jon.
Comment 1 Jon Masters 2010-09-02 15:15:03 EDT
Created attachment 442704 [details]
kspice x86_64 kernel ABI symbols
Comment 2 Jon Masters 2010-09-02 15:15:28 EDT
Created attachment 442705 [details]
kspice i686 kernel ABI symbols
Comment 6 RHEL Product and Program Management 2010-10-04 21:56:18 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 9 Jon Masters 2011-02-10 00:48:40 EST
The following symbols were added to the kABI:

bus_register_notifier
bus_unregister_notifier
usb_free_urb
usb_get_urb
usb_register_driver

This one was denied by engineering review:

vmalloc_to_pfn

Jon.
Comment 10 Aristeu Rozanski 2011-02-18 17:31:10 EST
Patch(es) available on kernel-2.6.32-117.el6
Comment 12 Aristeu Rozanski 2011-02-18 17:33:51 EST
Patch(es) available on kernel-2.6.32-117.el6
Comment 16 Jon Masters 2011-03-08 01:45:17 EST
We need to update the kabi-whitelists package prior to RHEL6.1 release with these updates. Thanks for reminding me - it will be post-beta at this stage.

Jon.
Comment 17 Jon Masters 2011-03-08 01:47:53 EST
See #682967
Comment 18 Chao Yang 2011-03-08 01:59:02 EST
Verified on kernel-2.6.32-118.el6, move status to verified.
Comment 19 errata-xmlrpc 2011-05-23 16:50:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html

Note You need to log in before you can comment on or make changes to this bug.